#!/bin/bash

# first device connected

idf.py clean
idf.py -DROLE=SENDER build

ret_val=$?

if (($ret_val != 0)); then
	exit
fi

rm build/wellhub.enc.bin 2> /dev/null
echo "Encrypting image..."
image_enc/encrypt.py build/wellhub.bin build/wellhub.enc.bin
echo "Uploading..."
lftp -c "open -u mirozmrzli@bigfoot-inc.com,3445trGGDSa9 ftp.bigfoot-inc.com; put build/wellhub.enc.bin"

